Summary: A utility for retrieving files using the HTTP or FTP protocols.
Summary(cs): Program pro stahovn soubor HTTP nebo FTP protokolem.
Name: wget
Version: 1.5.3
Release: 10cz1
Copyright: GPL
Group: Applications/Internet
Group(cs): Aplikace/Internet
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Patch0: wget-1.5.0-man.patch
Patch1: wget-1.5.3-symlink.patch
Patch2: wget-locale.patch
Provides: webclient
Prereq: /sbin/install-info
BuildRoot: /var/tmp/%{name}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.

%description -l cs
GNU wget slou k zskvn dokument a soubor protokolem HTTP nebo
FTP. Wget me pracovat na pozad kdy nejste pihleni, umouje
rekurzivn zskvn dokument na zklad nalezench odkaz, pouvn
olk ve jmnech soubor, zachovvn asu modifikace soubor,
pouvn pkaz REST u FTP a RANGE u HTTP protokolu pro pokraovn
peruenho penosu pi pomalm nebo nestabilnm spojen, podporuje
proxy servery, je iroce konfigurovateln.

Nainstalujte si balek wget, pokud potebujete zskat mnoho soubor
pomoc protokol HTTP nebo FTP, nebo pokud potebujete program pro
zrcadlen WWW server i FTP adres.

%prep
%setup -q
%patch0 -p1 -b .man
%patch1 -p1 -b .symlink
%patch2 -p1 -b .locale

%build
%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
gzip $RPM_BUILD_ROOT%{_infodir}/*

perl -pi -e 's/(#header.*=.*Accept-Language.*)/$1\nheader = Accept-Language: cs\nheader = Accept-Charset: iso-8859-2/' \
   $RPM_BUILD_ROOT/etc/wgetrc

%post
/sbin/install-info %{_infodir}/wget.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/wget.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL doc/ChangeLog
%config /etc/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{_infodir}/*
/usr/share/locale/*/LC_MESSAGES/*

%changelog
* Sun Nov  5 2000 Milan Kerslager <kerslage@linux.cz>
- Czech modifications to the /etc/wgetrc - header now contain:
  Accept-Language: cs
  Accept-Charset: iso-8859-2

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- setlocale for LC_CTYPE too, or else all the translations think their
  characters are unprintable.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build in new environment

* Mon Jun  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
